Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyComm::SequencePushConsumer Interface Reference

Defines the interface used by push-style consumers that interested in event batches. More...

`import "CosNotifyComm.idl";`

Inheritance diagram for CosNotifyComm::SequencePushConsumer:

[legend]
Collaboration diagram for CosNotifyComm::SequencePushConsumer:

[legend]
List of all members.

## Public Methods
void | push_structured_events (in CosNotification::EventBatch notifications) raises (CosEventComm::Disconnected)
| Receive an event batch.
void | disconnect_sequence_push_consumer ()
| The peer has disconnected.

## Detailed Description

Defines the interface used by push-style consumers that interested in event batches.

Push-style consumer passively accept events, in this case multiple events can be delivered simulatneously.

## Member Function Documentation

void CosNotifyComm::SequencePushConsumer::disconnect_sequence_push_consumer | ( |  | ) |

| The peer has disconnected. This operation is invoked by the consumer peer when it wishes to disconnect. The consumer can safely assume that no more events will follow this request.

void CosNotifyComm::SequencePushConsumer::push_structured_events | ( | in CosNotification::EventBatch | notifications | ) | raises (CosEventComm::Disconnected)

  | Receive an event batch. This operation is invoked to provide an event batch to the consumer. Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

The documentation for this interface was generated from the following file:

- CosNotifyComm.idl